import MScroller from "../UIComponent/MScroller";

export default class GameMgr {
    private static _instance: GameMgr = null;
    public static get instance(): GameMgr {
        if (!this._instance) {
            this._instance = new GameMgr();
        }

        return this._instance;
    }

    public pageScroller: MScroller = null;

    public rankListTouchId: number = null;
    public weekType: string = null;
    public totalType: string = null;
}